dots.v2.floating_ips.post()
Generated on 27 Oct 2026
from DoTs version
v1.21.0
Usage
client.v2.floating_ips.post(body: Floating_ip_createMember1 | Floating_ip_createMember2, requestConfiguration?: RequestConfiguration<object>): Promise<undefined | Floating_ipsPostResponse>Description
On creation, a floating IP must be either assigned to a Droplet or reserved to a region.
-
To create a new floating IP assigned to a Droplet, send a POST request to
/v2/floating_ipswith thedroplet_idattribute. -
To create a new floating IP reserved to a region, send a POST request to
/v2/floating_ipswith theregionattribute.
Parameters
bodyobject requiredShow child properties
dropletIdinteger optionalExample:
2457247The ID of the Droplet that the floating IP will be assigned to.
regionstring optionalExample:
nyc3The slug identifier for the region the floating IP will be reserved to.
projectIdstring optionalExample:
746c6152-2fa2-11ed-92d3-27aaa54e4988The UUID of the project to which the floating IP will be assigned.
Request Sample
Response Example
More Information
See /v2/floating_ips in the API reference for additional detail on responses, headers, parameters, and more.